Deployments
Deployments let the user schedule a job to deploy the contents of their workspace repository to their workspace in the Matatika cloud.
This can be done manually or via a GitHub Webhook which you can see how to set up in our Quick Start Guide: Workspace Deploy Hook
Requests
Deploy your workspace repository
POST
/api/workspaces/{workspaces-id}/deployments
Deploys the workspace {workspace-id}.
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/workspaces/90ea411d-5e33-4e50-bd5b-ca7a1f8817de/deployments' -i -X POST \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/workspaces/90ea411d-5e33-4e50-bd5b-ca7a1f8817de/deployments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
202 Accepted
Job with HAL links.
{
"id" : "dfe1a160-5bdb-4df8-b027-f9ef33256293",
"created" : "2026-02-26T16:25:55.06535",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod",
"email" : "[email protected]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/jobs/dfe1a160-5bdb-4df8-b027-f9ef33256293"
},
"delete job" : {
"href" : "https://app.matatika.com/api/jobs/dfe1a160-5bdb-4df8-b027-f9ef33256293",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.matatika.com/api/jobs/dfe1a160-5bdb-4df8-b027-f9ef33256293/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.matatika.com/api/jobs/dfe1a160-5bdb-4df8-b027-f9ef33256293/stopped",
"type" : "PUT"
}
}
}
GitHub webhook workspace deployment
POST
/api/workspaces/{workspaces-id}/deployments/github-webhook
Receives POST requests from GitHub and starts a workspace deploy job.
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/workspaces/90ea411d-5e33-4e50-bd5b-ca7a1f8817de/deployments/github-webhook' -i -X POST \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'X-Hub-Signature: sha1=4e5133f9175182dacd164f4ddd6d362ef071cee3' \
-H 'Content-Type: application/json' \
-d '{ }'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/workspaces/90ea411d-5e33-4e50-bd5b-ca7a1f8817de/deployments/github-webhook"
data = { }
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
202 Accepted
Job with HAL links.
{
"id" : "d577f3ec-3304-44db-8ae4-4cc157b2fe5f",
"created" : "2026-02-26T16:25:58.519904",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod",
"email" : "[email protected]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/jobs/d577f3ec-3304-44db-8ae4-4cc157b2fe5f"
},
"delete job" : {
"href" : "https://app.matatika.com/api/jobs/d577f3ec-3304-44db-8ae4-4cc157b2fe5f",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.matatika.com/api/jobs/d577f3ec-3304-44db-8ae4-4cc157b2fe5f/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.matatika.com/api/jobs/d577f3ec-3304-44db-8ae4-4cc157b2fe5f/stopped",
"type" : "PUT"
}
}
}